[Qa-jenkins-scm] [jenkins.debian.net] 01/01: edu packages: build italc with gbp defaults
Holger Levsen
holger at layer-acht.org
Tue Nov 29 10:34:26 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 2802c2acfc0c77ee56dedb1c5d588eb5cbe6ce5c
Author: Holger Levsen <holger at layer-acht.org>
Date: Tue Nov 29 11:34:22 2016 +0100
edu packages: build italc with gbp defaults
---
bin/chroot-run.sh | 3 ++-
job-cfg/edu-packages.yaml | 4 +++-
2 files changed, 5 insertions(+), 2 deletions(-)
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index 858f46e..813ef56 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -141,7 +141,8 @@ echo 'APT::Get::Assume-Yes "true";' > /etc/apt/apt.conf.d/23jenkins
apt-get install build-essential devscripts git
if [ "$1" = "gbp" ] ; then
apt-get install git-buildpackage
- git checkout debian
+ # either there is a debian branch or not
+ git checkout debian || echo "No debian branch exists, assuming packaging is in master branch."
fi
if [ -f debian/control ] ; then
cat debian/control
diff --git a/job-cfg/edu-packages.yaml b/job-cfg/edu-packages.yaml
index 62ec80a..1c6f57e 100644
--- a/job-cfg/edu-packages.yaml
+++ b/job-cfg/edu-packages.yaml
@@ -26,7 +26,7 @@
branches:
- master
builders:
- - shell: '/srv/jenkins/bin/chroot-run.sh {my_distro} debuild -b -uc -us'
+ - shell: '{my_shell}'
triggers:
- pollscm:
cron: 'H/1 H/1 * * *'
@@ -43,6 +43,7 @@
- project:
name: edu-packages
my_distro: 'sid'
+ my_shell: '/srv/jenkins/bin/chroot-run.sh {my_distro} debuild -b -uc -us'
my_url: 'git://git.debian.org/git/debian-edu/{my_package}.git'
my_package:
- 'debian-edu'
@@ -59,4 +60,5 @@
my_url: 'git://git.debian.org/git/pkg-remote/packages/{my_package}.git'
- 'italc':
my_url: 'git://git.debian.org/git/debian-edu/pkg-team/{my_package}.git'
+ my_shell: '/srv/jenkins/bin/chroot-run.sh {my_distro} gbp buildpackage -uc -us'
jobs: ['{name}_{my_distro}_{my_package}']
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list